Bug 1851214 - Node tuning operator `relatedObjects` doesn't specify `resource` correctly
Summary: Node tuning operator `relatedObjects` doesn't specify `resource` correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Jiří Mencák
QA Contact: Simon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 19:17 UTC by Samuel Padgett
Modified: 2020-10-27 16:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.ci-2020-06-24-223142 Cluster ID: 707aa603-21f7-4db5-bddf-931da4565115 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:78.0) Gecko/20100101 Firefox/78.0
Last Closed: 2020-10-27 16:09:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 138 0 None closed Bug 1851214: use lowercase plurals in resource property of relatedObjects 2020-10-23 16:23:25 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:10:13 UTC

Description Samuel Padgett 2020-06-25 19:17:16 UTC
The `relatedObjects` stanza for the node tuning cluster operator is incorrect. The `resource` property should be the lowercase, plural value like `daemonsets`. The camel-case kind like `DaemonSet` shouldn't be used. This breaks links to these related objects in console.


  relatedObjects:
    - group: ''
      name: openshift-cluster-node-tuning-operator
      resource: namespaces
    - group: tuned.openshift.io
      name: default
      namespace: openshift-cluster-node-tuning-operator
      resource: Tuned
    - group: apps
      name: tuned
      namespace: openshift-cluster-node-tuning-operator
      resource: DaemonSet

Comment 5 Simon 2020-07-28 19:46:37 UTC
  relatedObjects:
  - group: ""
    name: openshift-cluster-node-tuning-operator
    resource: namespaces
  - group: tuned.openshift.io
    name: default
    namespace: openshift-cluster-node-tuning-operator
    resource: tuneds
  - group: apps
    name: tuned
    namespace: openshift-cluster-node-tuning-operator
    resource: daemonsets
  versions:
  - name: operator
    version: 4.6.0-0.nightly-2020-07-25-091217

Links from console:
https://console-openshift-console.apps.skordas727.qe.devcluster.openshift.com/k8s/cluster/namespaces/openshift-cluster-node-tuning-operator
https://console-openshift-console.apps.skordas727.qe.devcluster.openshift.com/k8s/ns/openshift-cluster-node-tuning-operator/tuned.openshift.io~v1~Tuned/default
https://console-openshift-console.apps.skordas727.qe.devcluster.openshift.com/k8s/ns/openshift-cluster-node-tuning-operator/daemonsets/tuned

Comment 7 errata-xmlrpc 2020-10-27 16:09:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.